<?php

/**
 * @file
 * Zoho SalesIQ module admin panel.
 */

/**
 * Form builder function for module settings.
 */
function zohosalesiq_admin_settings_form() {
  $form['zohosalesiq'] = array(
    '#type' => 'horizontal_tabs',
  );

  $form['settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('Zoho SalesIQ settings'),
    '#collapsible' => FALSE,
    '#group' => 'zohosalesiq',
  );

  $form['settings']['zohosalesiq_enabled'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Chat Widget'),
    '#default_value' => variable_get('zohosalesiq_enabled', array('Enabled' => 0)),
    '#options' => array('Enabled' => t('Enabled')),
  );

  $desc_params = array(
    '!url' => l(t('Click here to sign up'),
                'https://salesiq.zoho.com/register.sas?source=Drupal.salesiqpluginconfig',
                array('attributes' => array('target' => '_blank'))),
  );
  $description = t('!url and get the widget code..', $desc_params);

  $form['settings']['zohosalesiq_widget_code'] = array(
    '#type' => 'textarea',
    '#title' => t('Chat Widget code'),
    '#default_value' => variable_get('zohosalesiq_widget_code', ''),
    '#rows' => 5,
    '#cols' => 50,
    '#required' => TRUE,
    '#description' => '<p>' . $description . '</p>',
  );

  $form['settings']['zohosalesiq_show_in'] = array(
    '#type' => 'radios',
    '#title' => t('Show Chat Widget in'),
    '#options' => array(t('View Pages only'), t('All pages (View & Edit)')),
    '#default_value' => variable_get('zohosalesiq_show_in', 0),
  );

  return system_settings_form($form);
}
